{
  "$schema": "http://json.schemastore.org/sarif-1.0.0",
  "version": "1.0.0",
  "runs": [
    {
      "tool": {
        "name": "Компилятор Microsoft (R) Visual C#",
        "version": "5.0.0.0",
        "fileVersion": "5.0.0-1.25358.103 (75972a5b)",
        "semanticVersion": "5.0.0",
        "language": "ru-RU"
      },
      "results": [
        {
          "ruleId": "CS0234",
          "level": "error",
          "message": "Тип или имя пространства имен \"Auth\" не существует в пространстве имен \"Knot.Modules\" (возможно, отсутствует ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 1,
                  "startColumn": 20,
                  "endLine": 1,
                  "endColumn": 24
                }
              }
            }
          ]
        },
        {
          "ruleId": "CS0234",
          "level": "error",
          "message": "Тип или имя пространства имен \"Auth\" не существует в пространстве имен \"Knot.Modules\" (возможно, отсутствует ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 9,
                  "startColumn": 20,
                  "endLine": 9,
                  "endColumn": 24
                }
              }
            }
          ]
        },
        {
          "ruleId": "CS0246",
          "level": "error",
          "message": "Не удалось найти тип или имя пространства имен \"IUserRepository\" (возможно, отсутствует директива using или ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 17,
                  "startColumn": 22,
                  "endLine": 17,
                  "endColumn": 37
                }
              }
            }
          ]
        },
        {
          "ruleId": "CS0246",
          "level": "error",
          "message": "Не удалось найти тип или имя пространства имен \"IAuthUnitOfWork\" (возможно, отсутствует директива using или ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 23,
                  "startColumn": 22,
                  "endLine": 23,
                  "endColumn": 37
                }
              }
            }
          ]
        },
        {
          "ruleId": "CS0246",
          "level": "error",
          "message": "Не удалось найти тип или имя пространства имен \"IUserRepository\" (возможно, отсутствует директива using или ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 26,
                  "startColumn": 9,
                  "endLine": 26,
                  "endColumn": 24
                }
              }
            }
          ]
        },
        {
          "ruleId": "CS0246",
          "level": "error",
          "message": "Не удалось найти тип или имя пространства имен \"IAuthUnitOfWork\" (возможно, отсутствует директива using или ссылка на сборку).",
          "locations": [
            {
              "resultFile": {
                "uri": "file:///E:/GIT/forkmessager/backend/src/Modules/Conversations/Application/Users/Commands/DeleteUser/DeleteUserCommand.cs",
                "region": {
                  "startLine": 32,
                  "startColumn": 9,
                  "endLine": 32,
                  "endColumn": 24
                }
              }
            }
          ]
        }
      ],
      "rules": {
        "CS0234": {
          "id": "CS0234",
          "defaultLevel": "error",
          "helpUri": "https://msdn.microsoft.com/query/roslyn.query?appId=roslyn&k=k(CS0234)",
          "properties": {
            "category": "Compiler",
            "isEnabledByDefault": true,
            "tags": [
              "Compiler",
              "Telemetry",
              "NotConfigurable"
            ]
          }
        },
        "CS0246": {
          "id": "CS0246",
          "defaultLevel": "error",
          "helpUri": "https://msdn.microsoft.com/query/roslyn.query?appId=roslyn&k=k(CS0246)",
          "properties": {
            "category": "Compiler",
            "isEnabledByDefault": true,
            "tags": [
              "Compiler",
              "Telemetry",
              "NotConfigurable"
            ]
          }
        }
      }
    }
  ]
}